%{?nodejs_find_provides_and_requires}
%global packagename deep-is
%global enable_tests 1
Name:		nodejs-deep-is
Version:	0.1.3
Release:	1
Summary:	Node's assert.deepEqual algorithm except for NaN being equal to NaN
License:	MIT
URL:		http://github.com/thlorenz/deep-is.git
Source0:	https://registry.npmjs.org/deep-is/-/deep-is-%{version}.tgz
BuildArch:	noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       	npm(tape)
%endif

%description
Node's assert.deepEqual algorithm except for NaN being equal to NaN

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.markdown example/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue Aug 18 2020 leiju <leiju4@huawei.com> - 0.1.3-1
- Package init
